<?php
    ini_set('display_errors','On');
    error_reporting(E_ALL);
    /*---------------------------------------------------------*/
    function printHtmlStart(){
echo <<<ENDE
<!DOCTYPE html>
<html lang="de">
<head>
  <meta charset="utf-8" />
  <title>Demo</title>
  <link rel="shortcut icon" href="/terminal.ico"/>
  <style type="text/css">
    @import url(/master.css);
  </style>
</head>
<body>
<span style="font-family:Arial">

ENDE;
    }
    /*---------------------------------------------------------*/
    function printHtmlEnd(){
echo <<<ENDE

</span>
</body>
</html>
ENDE;
    }
    /*---------------------------------------------------------*/
    function myerror($error){
     echo "<br />############################################";
     echo "<br />ERROR: ".$error."<br />";
     echo "############################################<br />";
     exit;
    }
    /*---------------------------------------------------------*/
    function mydebug($message){
     echo "<br/>############################################";
     echo "<br/> ".$message."<br/>";
     echo "############################################<br/>";
    }
    /*---------------------------------------------------------*/
    function makeDir($directory){
     $handle=popen("/bin/mkdir -p \"".$directory."\" 2>&1","r");
     $result=fgets($handle);
     if($result != ""){
       myerror($result);
     }
     pclose($handle);
    }
    /*---------------------------------------------------------*/
    function onRootServer(){
     $handle=popen("/bin/hostname","r");
     $hostname=fgets($handle);
     pclose($handle);
     if(empty($hostname)){
       myError("Konnte hostname nicht ermitteln");
     }
     if(preg_match('/strato/i',$hostname)){
       return true;
     }
     else{
       return false;
     }
    }
    /*---------------------------------------------------------*/
    function lexer(){
      global $text2Greek, $lexer, $configFolder;
      $response="";
      /*----------------------------------------------------
      Cave: Ein Aufruf
        popen("echo \"$text2Greek\"" | mygreekunicode,"r");
      funktioniert nicht, da popen effektiv 
        /bin/sh -c ....
      ruft, der als Option zu '-c' uebergebene echo-Befehl
      als Default Escape-Sequenzen wie '\a' auswertet und
      ein echo-Parameter '-E' als Teil der echo-Ausgabe, nicht
      Option des echo-Befehls interpretiert wuerde.
      ----------------------------------------------------*/
      $lexerInfile=$configFolder."pseudocode";
      $handle=fopen($lexerInfile,"w");
      fwrite($handle,$text2Greek);
      fclose($handle);
      /*---------------------------------------------------*/
      (! file_exists($lexer)) && myerror("Datei $lexer existiert nicht !");
      $handle=popen("mygreekunicode < $lexerInfile","r");
      while($line=fgets($handle)){
        $response.=$line;
      }
      fclose($handle); 
      echo($response);
    }
    /*---------------------------------------------------------*/
?>
